package com.dcsoft.system.api.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 认证数据对象 sys_auth
 *
 * @author nichun
 * @date 2023-03-29
 */
public class SysAuth extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 访客Id */
    private Long id;

    /** appKey */
    @Excel(name = "appKey")
    private String appKey;

    /** appSecret */
    @Excel(name = "appSecret")
    private String appSecret;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAppKey(String appKey)
    {
        this.appKey = appKey;
    }

    public String getAppKey()
    {
        return appKey;
    }
    public void setAppSecret(String appSecret)
    {
        this.appSecret = appSecret;
    }

    public String getAppSecret()
    {
        return appSecret;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("appKey", getAppKey())
            .append("appSecret", getAppSecret())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
